Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyAbstractableElementDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
              org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc

All Implemented Interfaces:
  GroovyProgramElementDoc

    public class SimpleGroovyAbstractableElementDoc
    extends SimpleGroovyProgramElementDoc

Constructor Summary
`SimpleGroovyAbstractableElementDoc(String name)`

Method Summary
`boolean` | `isAbstract()`
`void` | `setAbstract(boolean b)`

Methods inherited from class SimpleGroovyProgramElementDoc
addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic

Methods inherited from class SimpleGroovyDoc
calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### SimpleGroovyAbstractableElementDoc

    public SimpleGroovyAbstractableElementDoc(String name)

Method Detail

### isAbstract

    public boolean isAbstract()

### setAbstract

    public void setAbstract(boolean b)

Copyright © 2003-2010 The Codehaus. All rights reserved.